Loading...
Searching...
No Matches
L4::Ipc_svr::Direct_dispatch< R > Struct Template Reference

Direct dispatch helper, for forwarding dispatch calls to a registry R. More...

`#include <ipc_server_loop>`

Inheritance diagram for L4::Ipc_svr::Direct_dispatch< R >:
Collaboration diagram for L4::Ipc_svr::Direct_dispatch< R >:

## Public Member Functions

| Direct_dispatch (R &r)
| Make a direct dispatcher.
l4_msgtag_t | operator() (l4_msgtag_t tag, l4_umword_t obj, l4_utcb_t *utcb)
| call operator forwarding to r.dispatch()

## Data Fields

R & | r
| stores a reference to the registry object

## Detailed Description

template<typename R>
struct L4::Ipc_svr::Direct_dispatch< R >

Direct dispatch helper, for forwarding dispatch calls to a registry R.

Template Parameters

  R | Data type of the registry that is used for dispatching to different server objects, usually based on the protected IPC label.

Definition at line 95 of file ipc_server_loop.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_server_loop